Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.emailadapter.eway
Class EmailEndpoint

    java.lang.Object
      com.stc.connector.emailadapter.eway.EmailEndpoint

All Implemented Interfaces:
  com.stc.connector.framework.eway.EwayEndpoint, com.stc.connector.management.STCManagedSlave

    public class EmailEndpoint

extends java.lang.Object
implements com.stc.connector.framework.eway.EwayEndpoint, com.stc.connector.management.STCManagedSlave

This class implements the EwayActivationSepc interface for the Email. It is required that it has a public constructor without arguments.

Version:
  $Version$
Author:
  $Author: chuang $

Constructor Summary
`EmailEndpoint()` Default constructor

Method Summary
`void` | `activation(javax.resource.spi.endpoint.MessageEndpointFactory mef, javax.resource.spi.BootstrapContext aContext, com.stc.configuration.IConfiguration aConfiguration, com.stc.connector.management.util.ObjectReference aMonitor)` Activate eWay endpoint.
`void` | `deactivation(javax.resource.spi.endpoint.MessageEndpointFactory mef)` Deactivate (terminate) eWay endpoint.
`com.stc.connector.framework.util.ConfigurationHelper` | `getConfiguration()`
`protected javax.resource.spi.endpoint.MessageEndpointFactory` | `getMessageEndpointFactory()` Returns the MessageEndpointFactory for this activation.
`com.stc.connector.management.util.ObjectReference` | `getMonitor()` Gets the eWay ActivationSpec MBean.
`protected com.stc.connector.framework.util.SemiSema` | `getSema()` Returns the semi-semaphore for this activation.
`protected javax.resource.spi.work.WorkManager` | `getWorkManager()` Gets the WorkManager.
`javax.transaction.xa.XAResource` | `getXAResource()` Get the XAResource from the current active eWay endpoint.
`void` | `setMonitor(com.stc.connector.management.util.ObjectReference aValue)` Sets the eWay ActivationSpec MBean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailEndpoint

    public EmailEndpoint()

  Default constructor

Method Detail

### setMonitor

    public void setMonitor(com.stc.connector.management.util.ObjectReference aValue)

  Sets the eWay ActivationSpec MBean.

  Specified by:
    `setMonitor` in interface `com.stc.connector.management.STCManagedSlave`
  Parameters:
    `ewayASMbean` - The eWay ActivationSpec MBean.

### getMonitor

    public com.stc.connector.management.util.ObjectReference getMonitor()

  Gets the eWay ActivationSpec MBean.

  Returns:
    The eWay ActivationSpec MBean.

### activation

    public void activation(javax.resource.spi.endpoint.MessageEndpointFactory mef,
                           javax.resource.spi.BootstrapContext aContext,
                           com.stc.configuration.IConfiguration aConfiguration,
                           com.stc.connector.management.util.ObjectReference aMonitor)
                    throws javax.resource.ResourceException

  Activate eWay endpoint.

  Specified by:
    `activation` in interface `com.stc.connector.framework.eway.EwayEndpoint`
  Parameters:
    `mef` - The MessageEndpointFactory assoicated with the activation.
    `ari` - The instance of STCPropertiesInfo which contains the information for creating an endpoint activation.
  Throws:
    `javax.resource.NotSupportedException` - upon error.
    `javax.resource.ResourceException`

### deactivation

    public void deactivation(javax.resource.spi.endpoint.MessageEndpointFactory mef)

  Deactivate (terminate) eWay endpoint.

  Specified by:
    `deactivation` in interface `com.stc.connector.framework.eway.EwayEndpoint`
  Parameters:
    `mef` - The MessageEndpointFactory assoicated with the activation.

### getXAResource

    public javax.transaction.xa.XAResource getXAResource()
                                                  throws javax.resource.ResourceException

  Get the XAResource from the current active eWay endpoint.

  Specified by:
    `getXAResource` in interface `com.stc.connector.framework.eway.EwayEndpoint`
  Returns:
    An XAResource from the active eWay endpoint connection.
  Throws:
    `javax.resource.ResourceException` - upon error.

### getSema

    protected com.stc.connector.framework.util.SemiSema getSema()

  Returns the semi-semaphore for this activation. It can be used to prevent another poller thread from running if one was already scheduled and running.

  Returns:
    An instance of SemiSema.

### getConfiguration

    public com.stc.connector.framework.util.ConfigurationHelper getConfiguration()

### getMessageEndpointFactory

    protected javax.resource.spi.endpoint.MessageEndpointFactory getMessageEndpointFactory()

  Returns the MessageEndpointFactory for this activation.

  Returns:
    The instance of MessageEndpointFactory for this activation.

### getWorkManager

    protected javax.resource.spi.work.WorkManager getWorkManager()

  Gets the WorkManager.

  Returns:
    The instance of WorkManager.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD